const pkg = require('./package')

module.exports = {
    apiPath: 'stubs/api',
    webpackConfig: {
        output: {
            publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`
        }
    },
    navigations: {
        'hub-video-start.main': '/hub-video-start'
    },
    features: {
        'hub-video-start': {
            // add your features here in the format [featureName]: { value: string }
            "keyboard": {
                "on": true,
                "value": "true",
                "key": "keyboard"
            }
        },
    },
    config: {
        'hub-video-start.socket.url': 'value',
        'hub-video-start.socket.path': 'value'
    }
}
