import React from 'react';
import { Global, css  } from '@emotion/react'

import { MainPage } from './pages/main';

const App = () => {
    return(
        <>
            <Global
                styles={css`
                    * { box-sizing: border-box; }
                    body {
                        color: white;
                        background: radial-gradient(circle at top right, rgb(154 227 33), rgb(33 160 56));
                        height: 100vh;
                        /* font-family: "SB Sans Screen"; */
                        font-family: "SBSansScreenRegular";
                    }
                    #app {
                        height: 100%;
                    }

                    @font-face {
                        font-family: 'SBSansScreenRegular';
                        src: url('${__webpack_public_path__ + 'remote-assets/SBSansScreen.eot'}');
                        src:
                            url('${__webpack_public_path__ + '/remote-assets/SBSansScreen.eot?#iefix'}') format('embedded-opentype'),
                            url('${__webpack_public_path__ + '/remote-assets/SBSansScreen.woff2'}') format('woff2'),
                            url('${__webpack_public_path__ + '/remote-assets/SBSansScreen.woff'}') format('woff'),
                            url('${__webpack_public_path__ + '/remote-assets/SBSansScreen.ttf'}') format('truetype'),
                            url('${__webpack_public_path__ + '/remote-assets/SBSansScreen.svg#SBSansScreen-Regular'}') format('svg');
                        font-weight: normal;
                        font-style: normal;
                    }
                `}
            />
            <MainPage />
        </>
    )
}

export default App;

