import styled from '@emotion/styled';
import { keyframes } from '@emotion/react';

export const Wrapper = styled.div`
    position: absolute;
    bottom: 0;
    left: auto;
    right: auto;
    padding: 12px;
    background-color: #96e8c229;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
`;

export const KeyRow = styled.div`
    display: flex;
`;

export const BackspaceBtn = styled.img`
    width: 60%;
    /* height: 8px; */
`;

export const Key = styled.button`
    margin: 4px;
    width: 64px;
    height: 64px;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #829cdb;
    border-radius: 6px;
    background-color: #fff;
    border: none;
    box-shadow: 1px 2px 6px #5c7cc9;

    &:active {
        background: #f5f5f5;
        box-shadow: inset 1px 2px 6px #5c7cc9,
            0px 6px 16px #5c7cc9;
    }
`;